Debian Bug report logs - #475478
insserv: uninstallation fails horribly if an init script has been removed

version graph

Package: insserv; Maintainer for insserv is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for insserv is src:insserv.

Reported by: Michael Biebl <biebl@debian.org>

Date: Thu, 10 Apr 2008 23:21:02 UTC

Severity: critical

Merged with 540547

Found in version insserv/1.12.0-10

Fixed in version insserv/1.12.0-11

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#475478; Package insserv. Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Petter Reinholdtsen <pere@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: insserv: uninstallation fails horribly if an init script has been removed
Date: Fri, 11 Apr 2008 01:18:19 +0200
Package: insserv
Severity: important


The following happened to me:
I installed insserv, it reordered the init scripts successfully.
Then I uninstalled a package (in my case it was bootchart).
After that, I also decided to uninstall insserv again.
insserv completely broke down, as it couldn't find the bootchart init
script anymore. Instead it tried to reconfigure all packages that ship
an init script. This completely blew up my system, when it tried to
restart udev.

insserv should be much more careful when it is removed again. If an init
script is no longer present, it should simply skip it and not recreate
the symlinks again.
If a package is installed after insserv was activated (ie insserv has no
backup of the init script priorities), it should only reconfigure this
one package. An even better alternative would be, if update-rc.d would
store/save those priories in the backup for new packages.

Michael


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (300, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24.4
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages insserv depends on:
ii  debconf [debconf-2.0]        1.5.20      Debian configuration management sy
ii  libc6                        2.7-10      GNU C Library: Shared libraries
ii  sysv-rc                      2.86.ds1-55 System-V-like runlevel change mech

insserv recommends no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#475478; Package insserv. Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. Full text and rfc822 format available.

Message #10 received at 475478@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 475478@bugs.debian.org
Subject: Re: Bug#475478: Acknowledgement (insserv: uninstallation fails horribly if an init script has been removed)
Date: Fri, 11 Apr 2008 01:31:45 +0200
[Message part 1 (text/plain, inline)]
Thinking more about it, if update-rc.d also updates the backup file on
package removals and upgrades (not only installs), it would also
gracefully handle this case.

So, I think when insserv is installed and activated, it should create a
snapshot of the current /etc/rc*.d directories.
When packages are removed/installed/upgraded, and they call update-rc.d
in their maintainer scripts, those changes should be recorded in the
backup, so the state is always in sync with the actually installed packages.

When insserv is removed, it should roll back the changes from this
up-to-date backup.

Cheers,
Michael

P.S.: I was tempted to file this bug with a severity higher than
important, as it completely broke my system. A more unexperienced user
would probably have been completely lost.

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'critical' from 'important' Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Tue, 28 Jul 2009 11:51:03 GMT) Full text and rfc822 format available.

Merged 475478 540547. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Sat, 08 Aug 2009 19:12:08 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Sat, 05 Sep 2009 12:06:12 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Sat, 05 Sep 2009 12:06:12 GMT) Full text and rfc822 format available.

Message #19 received at 475478-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 475478-close@bugs.debian.org
Subject: Bug#475478: fixed in insserv 1.12.0-11
Date: Sat, 05 Sep 2009 11:32:08 +0000
Source: insserv
Source-Version: 1.12.0-11

We believe that the bug you reported is fixed in the latest version of
insserv, which is due to be installed in the Debian FTP archive:

insserv_1.12.0-11.diff.gz
  to pool/main/i/insserv/insserv_1.12.0-11.diff.gz
insserv_1.12.0-11.dsc
  to pool/main/i/insserv/insserv_1.12.0-11.dsc
insserv_1.12.0-11_i386.deb
  to pool/main/i/insserv/insserv_1.12.0-11_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 475478@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated insserv package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 Sep 2009 11:50:22 +0200
Source: insserv
Binary: insserv
Architecture: source i386
Version: 1.12.0-11
Distribution: unstable
Urgency: low
Maintainer: Petter Reinholdtsen <pere@debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 insserv    - Tool to organize boot sequence using LSB init.d script dependenci
Closes: 475478 511753 538959 540447 541613 542043
Changes: 
 insserv (1.12.0-11) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Migrate the responsibility for enabling or disabling dependency
     based boot sequencing from the insserv package to the sysv-rc
     package.  Rewrite package description to reflect this (Closes:
     #475478, #511753, #538959).  Keep a dummy update-bootsystem-insserv
     script to avoid having to conflict with sysv-rc version 2.87dsf-2.
     Keep update-rc.d-insserv to make it impossible for the update-rc.d
     diversion to be a dangling link during upgrades.  Make it a copy
     of update-rc.d from the new sysv-rc version to make sure both
     behave the same way.  update-rc.d-insserv should be removed in
     Squeeze+1.  update-bootsystem-insserv could be removed when
     sysv-rc 2.87dsf-2 has been gone from unstable for 3 months.
   * Drop dependencies on sysv-rc, initscripts and sysvinit-utils, and
     leave it for sysv-rc to pull in the packages needed for dependency
     based boot sequencing to work properly.
   * Update README to reflect that dependency based boot sequencing is
     now the default in Debian.  Drop reference to obsolete CONCURRENCY
     setting (Closes: #540447).
   * Add new test case test_override_remove trying to reproduce bug #540866.
     No luck so far.
   * Add new test case test_insserv_virt_loop to reproduce a bug
     reported by Raphael Geissert, where an incorrect insserv.conf will
     make insserv hang forever.  Add new patch 94_v1_12_2.patch from
     upstream to fix it (Closes: #541613).
   * Correct test test_early_all to fail if $all do not work with stop
     sequences.  Add new patch 95_stop_all.patch from upstream to fix
     it (Closes: #542043).
   * Change the definition of $syslog to include rsyslog, sysklogd,
     dsyslog, inetutils-syslogd  and syslog-ng, to include all syslog
     implmenetations in the archive.  Dropped the syslog provide from
     the list, as it should not be used.
   * Update to Standards-Version 3.8.3, no changes required.
   * Add lintian override for the transitient update-bootsystem-insserv
     binary missing a manual page.
   * Add new test test_local_virtual to verify that local virtual
     facilities work properly.
 .
   [ Kel Modderman ]
   * Add new patch 20_install_perms_fixup.patch to install binary and
     conffile with correct permissions.
   * Add new patch 21_tests_suite_new_functions.patch to add a couple
     of new test suite functions to upstream test suite.
   * Make sure update-rc.d compares command line parameters for start/stop
     runlevel configuration with the Default-Start and Default-Stop values in
     LSB info comment of script and warns if there are differences.
Checksums-Sha1: 
 ca9588f5a19ecc21c1617cb87457d2f373d5ee71 1218 insserv_1.12.0-11.dsc
 8f05b8a8a8a254242158953d3c783c14bede0afb 58568 insserv_1.12.0-11.diff.gz
 19b5b7de996b201c3b79588b41c1439ab4933806 64818 insserv_1.12.0-11_i386.deb
Checksums-Sha256: 
 843ad5670be3ff6379403ec46da82c3345f0ba532efaa7a92345a05721681dc4 1218 insserv_1.12.0-11.dsc
 2abaed40777c76ad1544e38b5ff8ee080d9facd574c6210fbd78714c10c4b5b7 58568 insserv_1.12.0-11.diff.gz
 e2d23c08bfe099637fe8cfe980acbaade5b4052962d711d50c9fa3657ce321a5 64818 insserv_1.12.0-11_i386.deb
Files: 
 913e7ce0afdd0802820748e79ad87756 1218 misc optional insserv_1.12.0-11.dsc
 9a88a1a35a66360b1b9804f818deb4b8 58568 misc optional insserv_1.12.0-11.diff.gz
 62c7593bf804fee5352ad9b4e3b5373b 64818 misc optional insserv_1.12.0-11_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKokfm20zMSyow1ykRAv2tAKCjUkuQsyd3FhxIPlVdkSzurhRwbwCg4d8q
Bp4jittUNaJ16pZPjHNcmts=
=tu+f
-----END PGP SIGNATURE-----





Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Sat, 05 Sep 2009 12:06:14 GMT) Full text and rfc822 format available.

Notification sent to Michael Meskes <meskes@debian.org>:
Bug acknowledged by developer. (Sat, 05 Sep 2009 12:06:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Oct 2009 07:32:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:07:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.